Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.addon.tablegenerator.TableData Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| TableData ()
| Constructor.
| TableData (RectF rect, int row_count, int col_count, TableBorderInfo outside_border_left, TableBorderInfo outside_border_right, TableBorderInfo outside_border_top, TableBorderInfo outside_border_bottom, TableBorderInfo inside_border_row, TableBorderInfo inside_border_col, TableCellIndexArray merge_cells, FloatArray row_height_array, FloatArray col_width_array)
| Constructor, with parameters. More...
| TableData (TableData data)
| Constructor, with another table cell data object. More...
void | Set (RectF rect, int row_count, int col_count, TableBorderInfo outside_border_left, TableBorderInfo outside_border_right, TableBorderInfo outside_border_top, TableBorderInfo outside_border_bottom, TableBorderInfo inside_border_row, TableBorderInfo inside_border_col, TableCellIndexArray merge_cells, FloatArray row_height_array, FloatArray col_width_array)
| Set value. More...

## Properties
int | col_count`[get, set]`
| The count of columns in the table.
FloatArray? | col_width_array`[get, set]`
| The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.
TableBorderInfo? | inside_border_col`[get, set]`
| The column inside border info.
TableBorderInfo? | inside_border_row`[get, set]`
| The row inside border info.
TableCellIndexArray? | merge_cells`[get, set]`
| The merge cells. The length of this array must be even and the zero length means no merge cell. More...
TableBorderInfo? | outside_border_bottom`[get, set]`
| The bottom outside border info.
TableBorderInfo? | outside_border_left`[get, set]`
| The left outside border info.
TableBorderInfo? | outside_border_right`[get, set]`
| The right outside border info.
TableBorderInfo? | outside_border_top`[get, set]`
| The top outside border info.
RectF? | rect`[get, set]`
| Rectangle of the table which specifies the position in PDF page. It should be in PDF coordinate system.
int | row_count`[get, set]`
| The count of rows in the table.
FloatArray? | row_height_array`[get, set]`
| The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.

## Detailed Description

This class represents table data.

## Constructor & Destructor Documentation

## ◆ TableData() [1/2]

foxit.addon.tablegenerator.TableData.TableData | ( | RectF | rect,
|  | int | row_count,
|  | int | col_count,
|  | TableBorderInfo | outside_border_left,
|  | TableBorderInfo | outside_border_right,
|  | TableBorderInfo | outside_border_top,
|  | TableBorderInfo | outside_border_bottom,
|  | TableBorderInfo | inside_border_row,
|  | TableBorderInfo | inside_border_col,
|  | TableCellIndexArray | merge_cells,
|  | FloatArray | row_height_array,
|  | FloatArray | col_width_array
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | rect | The rectangle of the table which specifies the position in PDF page.
  [in] | row_count | The count of rows in the table.
  [in] | col_count | The count of columns in the table.
  [in] | outside_border_left | The left outside border info.
  [in] | outside_border_right | The right outside border info.
  [in] | outside_border_top | The top outside border info.
  [in] | outside_border_bottom | The bottom outside border info.
  [in] | inside_border_row | The row inside border info.
  [in] | inside_border_col | The column inside border info.
  [in] | merge_cells | The merge cells.
  [in] | row_height_array | The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.
  [in] | col_width_array | The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.

## ◆ TableData() [2/2]

foxit.addon.tablegenerator.TableData.TableData | ( | TableData | data | ) |
| inline

Constructor, with another table cell data object.

Parameters

  [in] | data | Another table data object, whose value would be assigned to current object.

## Member Function Documentation

## ◆ Set()

void foxit.addon.tablegenerator.TableData.Set | ( | RectF | rect,
|  | int | row_count,
|  | int | col_count,
|  | TableBorderInfo | outside_border_left,
|  | TableBorderInfo | outside_border_right,
|  | TableBorderInfo | outside_border_top,
|  | TableBorderInfo | outside_border_bottom,
|  | TableBorderInfo | inside_border_row,
|  | TableBorderInfo | inside_border_col,
|  | TableCellIndexArray | merge_cells,
|  | FloatArray | row_height_array,
|  | FloatArray | col_width_array
| ) |  |
| inline

Set value.

Parameters

  [in] | rect | The rectangle of the table which specifies the position in PDF page.
  [in] | row_count | The count of rows in the table.
  [in] | col_count | The count of columns in the table.
  [in] | outside_border_left | The left outside border info.
  [in] | outside_border_right | The right outside border info.
  [in] | outside_border_top | The top outside border info.
  [in] | outside_border_bottom | The bottom outside border info.
  [in] | inside_border_row | The row inside border info.
  [in] | inside_border_col | The column inside border info.
  [in] | merge_cells | The merge cells.
  [in] | row_height_array | The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.
  [in] | col_width_array | The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.

Returns
  None.

## Property Documentation

## ◆ merge_cells

TableCellIndexArray foxit.addon.tablegenerator.TableData.merge_cells
| get set

The merge cells. The length of this array must be even and the zero length means no merge cell.

Note
  In a merged cell index array, every two consecutive members are grouped into cells. The first member represents the starting cell of the merged cell, and the second member represents the ending cell of the merged cell. For the table cell index, the valid range: from 0 to (row_count - 1) or (col_count - 1).